export default defineNuxtConfig({
  ssr: true,
  nitro: {
    prerender: {
      routes: [
        '/',
        '/imp',
      ]
    }
  },
  css: [
    '~/assets/css/fonts.css',
    '~/assets/css/global.css',
    '~/assets/css/header.css',
    '~/assets/css/intro.css',
    '~/assets/css/skills.css',
    '~/assets/css/customers.css',
    '~/assets/css/services.css',
    '~/assets/css/footer.css',
    '~/assets/css/technology.css',
    '~/assets/css/person.css',
    '~/assets/css/button.css',
  ],
  routeRules: {
    '/': { prerender: true },
    '/imp': { prerender: true },
  },
  app: {
    head: {
      htmlAttrs: { lang: 'de' },
      link: [
        { rel: 'preload', as: 'image', href: '/img/profile_big.webp', type: 'image/webp' },
        { rel: 'preload', as: 'image', href: '/img/profile_small.webp', type: 'image/webp' },
        { rel: 'preload', crossorigin: 'anonymous', as: 'font', href: '/fonts/opensans.woff2', type: 'font/woff2' },
        { rel: 'preload', crossorigin: 'anonymous', as: 'font', href: '/fonts/roboto_con_bold.woff2', type: 'font/woff2' },
        { rel: 'preload', crossorigin: 'anonymous', as: 'font', href: '/fonts/roboto_con_reg.woff2', type: 'font/woff2' },
      ],
    }
  }
})
